package com.ruoyi.ibs.grid.domain.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * (IbsAnchorAddress)实体类
 *
 * @author makejava
 * @since 2024-09-11 16:04:39
 */
public class IbsAnchorAddress implements Serializable {
    private static final long serialVersionUID = -10401266644922047L;

    private Long id;
    /**
     * 地址名称;类似经营地址/注册地址
     */
    private String addressName;
    /**
     * 锚点编号，对应的锚点编号
     */
    private String anchorId;
    /**
     * 新成立/地址变化
     */
    private String type;
    /**
     * 地址，用户导入/编辑输入/图商返回，原地址取值
     */
    private String address;
    //省
    private String province;
    //市
    private String city;
    //县区
    private String county;
    /**
     * 街道/镇，取使用地址对应值的解析结果-行政区划乡镇/街道级
     */
    private String street;
    /**
     * 社区/村，取使用地址对应值的解析结果-行政区划村/社区级
     */
    private String community;
    /**
     * 详细地址，取使用地址对应值的解析结果-楼幢门牌号
     */
    private String addressDetail;
    /**
     * 现地址，变更或新增后地址，审核通过后现地址为空，值转移至原地址
     */
    private String addressNow;
    //现地址省
    private String provinceNow;
    //现地址市
    private String cityNow;
    //现地址县区
    private String countyNow;
    /**
     * 现地址街道/乡镇
     */
    private String streetNow;
    /**
     * 现地址社区/村
     */
    private String communityNow;
    /**
     * 现地址详细地址，楼幢门牌号
     */
    private String addressDetailNow;
    /**
     * 经度，取原地址对应的经度
     */
    private String longitude;
    /**
     * 纬度，取原地址对应纬度
     */
    private String latitude;
    /**
     * 地址状态，0：未审核、1为通过，2为忽略
     */
    private Integer addressStatus;
    /**
     * 地址删除状态，0为正常，1为已删除
     */
    private Integer deleteStatus;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建者、归属客户经理，用户id，导入者id
     */
    private String updateBy;
    /**
     * 创建机构号
     */
    private String updateOrg;
    /**
     * 地址备注
     */
    private String addressRemark;
    /**
     * 跑批状态，0为待跑批，1为已跑批
     */
    private int updateStatus;

    private String regionCode;

    private String source;

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getProvinceNow() {
        return provinceNow;
    }

    public void setProvinceNow(String provinceNow) {
        this.provinceNow = provinceNow;
    }

    public String getCityNow() {
        return cityNow;
    }

    public void setCityNow(String cityNow) {
        this.cityNow = cityNow;
    }

    public String getCountyNow() {
        return countyNow;
    }

    public void setCountyNow(String countyNow) {
        this.countyNow = countyNow;
    }

    public int getUpdateStatus() {
        return updateStatus;
    }

    public void setUpdateStatus(int updateStatus) {
        this.updateStatus = updateStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getAnchorId() {
        return anchorId;
    }

    public void setAnchorId(String anchorId) {
        this.anchorId = anchorId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getAddressNow() {
        return addressNow;
    }

    public void setAddressNow(String addressNow) {
        this.addressNow = addressNow;
    }

    public String getStreetNow() {
        return streetNow;
    }

    public void setStreetNow(String streetNow) {
        this.streetNow = streetNow;
    }

    public String getCommunityNow() {
        return communityNow;
    }

    public void setCommunityNow(String communityNow) {
        this.communityNow = communityNow;
    }

    public String getAddressDetailNow() {
        return addressDetailNow;
    }

    public void setAddressDetailNow(String addressDetailNow) {
        this.addressDetailNow = addressDetailNow;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getAddressStatus() {
        return addressStatus;
    }

    public void setAddressStatus(Integer addressStatus) {
        this.addressStatus = addressStatus;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateOrg() {
        return updateOrg;
    }

    public void setUpdateOrg(String updateOrg) {
        this.updateOrg = updateOrg;
    }

    public String getAddressRemark() {
        return addressRemark;
    }

    public void setAddressRemark(String addressRemark) {
        this.addressRemark = addressRemark;
    }

}

